Page MenuHomePhabricator

Enlightenment performance regression
Closed, ResolvedPublic

Description

EFL commit 9fcd03952 (evas: fix a map rendering problem) seems to have caused a heavy performance hit for enlightenment here (as a wayland compositor, using the drm backend)

running elementary_test -to animation under enlightenment no longer manages 60fps

I think I'm seeing an increase in cpu usage with gl, but sw render hurts the most.

ManMower created this task.May 30 2018, 9:39 AM
Hermet closed this task as Resolved.Jun 5 2018, 5:03 AM
ManMower reopened this task as Open.Jun 19 2018, 2:43 PM

Sorry Hermet, re-introduced by efl commit 590b52ce

ManMower added a subscriber: ApB.Jun 19 2018, 2:45 PM

Adding Apb so he can track this and stop bothering me about it directly on irc ;)

ApB added a comment.Jun 19 2018, 3:11 PM

Adding Apb so he can track this and stop bothering me about it directly on irc ;)

Don't worry. Next time i'll send someone to ring your doorbell at 3am. :D

Guess this patch triggers full region rendering every frame. or Something unnecessary map redrawing. Need to see.

zmike triaged this task as Showstopper Issues priority.Jun 22 2018, 2:30 PM

@ApB @ManMower I request a patch(D6429) for this. Could you please confirm that fixes this issue?

It doesn't fix this issue for me.

When dragging windows around I think we have evas maps that change every frame.

I've checked the size of regions being pushed for draw, and on a 1920x1200 monitor I'm seeing a 1336,1200 redraw every frame while moving a window. If I move the window reaaaally slowly the updates are window sized, if I move the window at a normal speed anywhere on the left half of the screen it's 1336,1200, and if I move further to right right the redraw area eventually gets larger and larger.

Not sure what the 1336 is all about, but I think it might be the 1920 - (window size + drop shadow). unconfirmed guess.

Very strange redraw rectangle...